Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
44 lines (40 sloc) 1.67 KB
use strict;
use warnings;
use inc::Module::Install;
use 5.006;
my $mi = '0.94';
if ($inc::Module::Install::VERSION lt $mi) {
die "Your Module::Install is older than $mi, please upgrade it";
}
name ('grok');
perl_version ('5.006');
author ('Hinrik Örn Sigurðsson <hinrik.sig@gmail.com>');
abstract ('Perl 6 documentation reader');
version_from ('lib/App/Grok.pm');
install_script ('script/grok');
no_index (directory => 't_source');
license ('artistic_2');
homepage ('http://svn.pugscode.org/pugs/docs/u4x/README');
githubmeta ();
requires ('Getopt::Long' => '2.33');
requires ('IO::Interactive' => '0');
requires ('File::HomeDir' => '0');
requires ('File::ShareDir' => '0');
requires ('File::Temp' => '0');
requires ('LWP::UserAgent' => '0');
requires ('Perl6::Doc' => '0.44');
requires ('Perl6::Perldoc' => '0.0.5');
requires ('Perl6::Perldoc::To::Ansi' => '0.07');
requires ('Pod::Text::Ansi' => '0.04');
requires ('Pod::Xhtml' => '0');
requires ('Pod::Parser' => '1.36');
recommends ('Term::ProgressBar' => '0');
recommends ('Win32::Console::ANSI' => '0') if $^O eq 'Win32';
test_requires ('Test::More' => '0');
test_requires ('Test::Script' => '0');
#author_requires('Perl::Critic' => '1.098');
#author_requires('Test::Perl::Critic' => '0');
#author_requires('Test::Pod' => '0');
#author_requires('Test::Pod::Coverage' => '0');
tests_recursive();
WriteAll();
Jump to Line
Something went wrong with that request. Please try again.